Bug 216218

Summary: devel/ruby-qtruby: fails to build with clang 4.0
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: kde
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner
Priority: --- Keywords: needs-patch
Version: LatestFlags: tcberner: maintainer-feedback+
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216016
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215861
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216015
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216046
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216051
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216052
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216056
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216058
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216019
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216072
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216074
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216075
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216076
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216159
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216176
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216194
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216197
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216198
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216199
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216200
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216203
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216206
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216211
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216213
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216214
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216215
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216216
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216217
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216221
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216222
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216227
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216228
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216233
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216234
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216235
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216253
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216354
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216355
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216356
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216357
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216358
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216615
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216619
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216620
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216621
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216622
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216623
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216624
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216626
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216627
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216629
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216630
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216631
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216632
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216633
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216634
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216635
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216636
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216637
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216638
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216639
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216640
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216641
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216642
Bug Depends on:    
Bug Blocks: 216008    
Attachments:
Description Flags
fix bogus pointer comparison tcberner: maintainer-approval+

Description Jan Beich freebsd_committer 2017-01-18 08:40:11 UTC
src/qtruby.cpp:2097:17: error: ordered comparison between pointer and zero ('void *' and 'int')
    return (ptr > 0 ? Qtrue : Qfalse);
            ~~~ ^ ~

build log: http://sprunge.us/CCYd
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Tobias C. Berner freebsd_committer 2017-01-18 20:24:42 UTC
Created attachment 179047 [details]
fix bogus pointer comparison
Comment 2 Jan Beich freebsd_committer 2017-01-18 21:12:53 UTC
Comment on attachment 179047 [details]
fix bogus pointer comparison

Builds fine with the patch: http://sprunge.us/MDHM
Comment 3 commit-hook freebsd_committer 2017-01-20 12:45:54 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 20 12:45:04 UTC 2017
New revision: 431952
URL: https://svnweb.freebsd.org/changeset/ports/431952

Log:
  Fix ruby-qtruby with newer clang

  Clang 4.0 trips on the bogus  pointer comparison.
  As the produced code may change, bump PORTREVISION.

  PR:		216218
  Reported by:	jbeich
  Approved by:	rakuco (mentor)

Changes:
  head/devel/ruby-qtruby/Makefile
  head/devel/ruby-qtruby/files/patch-src_qtruby.cpp
Comment 4 Jan Beich freebsd_committer 2017-01-20 19:55:56 UTC
(In reply to commit-hook from comment #3)
Can you MFH it into 2017Q1? This can probably use "Approved by: ports-secteam blanket" since the existing behavior doesn't change.

https://wiki.freebsd.org/ports-secteam#Blanket_Approval
Comment 5 commit-hook freebsd_committer 2017-01-21 12:17:00 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 21 12:16:01 UTC 2017
New revision: 432025
URL: https://svnweb.freebsd.org/changeset/ports/432025

Log:
  MFH: r431952

  Fix ruby-qtruby with newer clang

  Clang 4.0 trips on the bogus  pointer comparison.
  As the produced code may change, bump PORTREVISION.

  PR:		216218
  Reported by:	jbeich
  Approved by:	rakuco (mentor)

  PR:             216218
  Approved by:	ports-secteam (junovitch), rakuco (mentor)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/ruby-qtruby/Makefile
  branches/2017Q1/devel/ruby-qtruby/files/patch-src_qtruby.cpp
Comment 6 commit-hook freebsd_committer 2017-01-21 12:17:01 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 21 12:16:01 UTC 2017
New revision: 432025
URL: https://svnweb.freebsd.org/changeset/ports/432025

Log:
  MFH: r431952

  Fix ruby-qtruby with newer clang

  Clang 4.0 trips on the bogus  pointer comparison.
  As the produced code may change, bump PORTREVISION.

  PR:		216218
  Reported by:	jbeich
  Approved by:	rakuco (mentor)

  PR:             216218
  Approved by:	ports-secteam (junovitch), rakuco (mentor)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/ruby-qtruby/Makefile
  branches/2017Q1/devel/ruby-qtruby/files/patch-src_qtruby.cpp